
Name:          jaxb2-maven-plugin
Version:       1.3.1
Release:       %mkrel 1
Summary:       Maven JAXB 2.1 Plugin
Group:         Development/Java
License:       ASL 2.0
Url:           http://mojo.codehaus.org/jaxb2-maven-plugin/
# svn export https://svn.codehaus.org/mojo/tags/jaxb2-maven-plugin-1.3.1
# tar czf jaxb2-maven-plugin-1.3.1-src-svn.tar.gz jaxb2-maven-plugin-1.3.1
Source0:       jaxb2-maven-plugin-1.3.1-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: mojo-parent

BuildRequires: glassfish-jaxb
BuildRequires: glassfish-jaxb-api
BuildRequires: junit

BuildRequires: maven
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-plugin-plugin
BuildRequires: maven-plugin-testing-harness
BuildRequires: plexus-compiler
BuildRequires: plexus-utils

Requires:      glassfish-jaxb
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
JAXB2 compiler plugin used to create object graph from XSDs based on the JAXB 2.1 implementation.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.
%{__perl} -pi -e 's/^Class-Path:.*\n$//g' src/etc/Manifest.mf
%prep
%setup -q -n %{name}-%{version}
find . -name "*.jar" -delete
rm -rf src/it/xjc-multiple-xsd-specified
%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}
install -pm 0644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 0644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Sun Nov 27 2011 gil <gil> 1.3.1-1.mga2
+ Revision: 172879
- fix BR
- fix group
- fix release
- update to 1.3.1

* Tue Nov 08 2011 dmorgan <dmorgan> 1.3-1.mga2
+ Revision: 165193
- Clean spec file

  + gil <gil>
    - imported package jaxb2-maven-plugin

